For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet VAT rates
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableVAT rates

Get VAT rates

GET
/vat_rates
GET
/v1/vat_rates
$curl https://api.sandbox.monite.com/v1/vat_rates \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "country": "AF",
8 "value": 1,
9 "components": [
10 {
11 "name": "name",
12 "value": 1.1
13 }
14 ],
15 "status": "active",
16 "valid_from": "valid_from",
17 "valid_until": "valid_until",
18 "created_by": "monite"
19 }
20 ]
21}
Monite maintains a catalog of VAT and sales tax rates for [select countries](https://docs.monite.com/accounts-receivable/vat-rates#supported-countries). To query the applicable VAT/tax rates for an invoice or quote, use: `GET /vat_rates?counterpart_id=<...>&entity_vat_id_id=<...>` Or if the entity does not have a VAT ID: `GET /vat_rates?counterpart_id=<...>` **Note:** Entities from countries [not on the list](https://docs.monite.com/accounts-receivable/vat-rates#supported-countries) should not use this endpoint. Instead, those entities can either create custom VAT/tax rates or use the invoice field `line_items[].tax_rate_value` to specify the VAT/tax rates directly.
Was this page helpful?
Previous

Get all e-invoicing connections

Next
Built with

Monite maintains a catalog of VAT and sales tax rates for select countries.

To query the applicable VAT/tax rates for an invoice or quote, use:

GET /vat_rates?counterpart_id=<...>&entity_vat_id_id=<...>

Or if the entity does not have a VAT ID:

GET /vat_rates?counterpart_id=<...>

Note: Entities from countries not on the list should not use this endpoint. Instead, those entities can either create custom VAT/tax rates or use the invoice field line_items[].tax_rate_value to specify the VAT/tax rates directly.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

counterpart_address_idstringOptionalformat: "uuid"
Unused. Reserved for future use.
counterpart_idstringOptionalformat: "uuid"
ID of the counterpart that will be invoiced.
counterpart_vat_id_idstringOptionalformat: "uuid"
Unused. Reserved for future use.
entity_vat_id_idstringOptionalformat: "uuid"

ID of the entity’s VAT number (if any) used for the sales transaction.

product_typeenumOptional
Unused. Reserved for future use.
Allowed values:

Response

Successful Response
datalist of objects

Errors

400
Get Vat Rates Request Bad Request Error
401
Get Vat Rates Request Unauthorized Error
403
Get Vat Rates Request Forbidden Error
404
Get Vat Rates Request Not Found Error
422
Get Vat Rates Request Unprocessable Entity Error
429
Get Vat Rates Request Too Many Requests Error